/* Основные стили */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 20px;
    background-color: #f4f4f9;
    text-align: center;
}

h2 {
    color: #333;
}

input[type="text"] {
    padding: 8px 16px;
    font-size: 16px;
    width: 300px;
    margin-bottom: 20px;
}

button {
    padding: 10px 20px;
    font-size: 16px;
    background-color: #3498db;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

button:hover {
    background-color: #2980b9;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
}

table, th, td {
    border: 1px solid #ddd;
}

th, td {
    padding: 8px;
    text-align: left;
    word-break: break-word;
    min-width: 48px;
    font-size: 14px;
}

th {
    background-color: #3498db;
    color: white;
}

td .method {
    font-size: 10px;
    margin-bottom: 0.5em;
}

/* Стили для анимации загрузки */
.loader {
    display: none;
    font-size: 24px;
    margin-top: 20px;
}

.dot1, .dot2, .dot3 {
    animation: blink 1.4s infinite both;
}

.dot2 {
    animation-delay: .2s;
}

.dot3 {
    animation-delay: .4s;
}

@keyframes blink {
    0%, 80%, 100% {
        opacity: 0;
    }
    40% {
        opacity: 1;
    }
}

